function alldemos(varargin)
  p = inputParser;
  p.addParamValue('type','small',@(x) ismember(lower(x),{'small','full'}));
  p.parse(varargin{:});
  Ldemos={'bench_LU00','bench_LU01','bench_LU02', ...
          'bench_MatProd00','bench_MatProd01','bench_MatProd02','bench_MatProd03', ...
          'bench_MatProd04','bench_MatProd05','bench_MatProd05bis','bench_MatProd06', ...
          'bench_Lagrange00','bench_Lagrange'};
  if strcmp(p.Results.type,'small'), Ldemos={Ldemos{1:3:end}};end
  nLdemos=length(Ldemos);
  for idemo=1:nLdemos
    if fc_tools.comp.isOctave()
      clear -x Ldemos nLdemos idemo
    else
      clearvars -except Ldemos nLdemos idemo
    end
    script=['fc_bench.demos.',Ldemos{idemo}];
    fprintf('\n*** [%2d/%2d] Runnning %s\n\n',idemo,nLdemos,script)
    eval(script)
  end
  
end
